POST /domains/{domain_id}/verify
Re-check a domain's DNS records
API key (Bearer), on the public API endpoint.
Parameters
| Name | In | Type | Description |
|---|---|---|---|
domain_id | path | string · required |
Responses
| Status | Description | Body |
|---|---|---|
200 | Domain and DNS statuses refreshed | MailDomain |
404 | Domain not found | |
502 | Provider unavailable |
Examples
curl
curl -X POST "$GALON_API_BASE/domains/<domain_id>/verify" \
-H "Authorization: Bearer $GALON_API_KEY"Node.js (SDK)
import { Galon } from "galon";
const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.domains.verify("<id>");Python (SDK)
from galon import Galon
galon = Galon() # reads GALON_API_KEY
result = galon.domains.verify("<id>")